Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           scout
Version:        0.4
Release:        alt1_23
Summary:        CLI interface to Tomboy notes and Gnote

License:        BSD
URL:            http://github.com/lelutin/%{name}

# A stable link is here, redirects to Source0:     http://github.com/lelutin/%%{name}/tarball/v%%{version}
# I can't use it as source since source needs the name of the tar in it. 

Source0:        http://download.github.com/lelutin-%{name}-v%{version}-0-ga2ae61f.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel python-module-pkg_resources python-module-setuptools
BuildRequires:  perl-devel pandoc
Requires:       python-module-dbus python-module-pkg_resources python-module-setuptools
Source44: import.info

%description
Scout is an interface to Tomboy notes or Gnote that uses DBus to 
communicate. It presents a command-line interface and tries to be
as simple to use as possible. Different actions can be taken to 
interact with Tomboy or Gnote. Actions are simple to create, 
making the application easily extensible.

Current actions make it possible to list note names, 
display note contents, search for text inside notes and to 
delete notes.

%prep
%setup -q -n lelutin-%{name}-3b6fe1a


%build
%python_build

%install
%python_install

%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{python_sitelibdir_noarch}/*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_23
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_22
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_18
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_15
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_14
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_13
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_12
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_11
- initial fc import

